Bug 860183 - Group description not limited by UI
Group description not limited by UI
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI, Usability (Show other bugs)
4.4
All All
unspecified Severity low (vote)
: ---
: RHQ 4.5.0
Assigned To: Jirka Kremser
Mike Foley
:
Depends On: 788997
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 04:19 EDT by Jirka Kremser
Modified: 2013-09-01 06:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 788997
Environment:
Last Closed: 2013-09-01 06:11:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jirka Kremser 2012-09-25 04:19:02 EDT
+++ This bug was initially created as a clone of Bug #788997 +++

When creating a compatible group, the description text area let me free to type more than 100 chars. However, there is a limit on RHQ_RESOURCE_GROUP table. This cause a not friendly exception message to the end user.


Steps to Reproduce:
1. Try create a new compatible group
2. Type a description greater than 100 chars.
3. Choose the group members and click finish
  
Actual results:
A not friendly exception message appears to end user


Expected results:
A limitation on the UI text area, or more friendly error message.

--- Additional comment from jkremser@redhat.com on 2012-05-24 07:03:47 EDT ---

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=ead694e

git log
-------
time:    Thu May 24 12:57:50 2012 +0200
commit:  ead694e1a3b5ebdf540e21f9f4fe8a50703760fc
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 788997] Setting the maximum length of the description to 100 characters
Comment 1 Jirka Kremser 2012-09-25 04:20:22 EDT
this one ^^ was the commit (ead694e1a3b5ebdf540e21f9f4fe8a50703760fc) to the master branch
Comment 2 Heiko W. Rupp 2013-09-01 06:11:02 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.